#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using vll = vector<ll>;
using vvll = vector<vll>;
using pll = pair<ll,ll>;
using vpll = vector<pll>;

int find_number(int MAX){
    ll start = 1, end = MAX;
    while (start < end){
        ll mid = (start + end)/2;
        if (smaller(mid + 1)){
            end = mid;
        }else{
            start = mid + 1;
        }
    }
    return start;
}
